# ATLS.Api.Api.RestapiApi

All URIs are relative to *https://rts.at-ls.com/atrts*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DelFileByToken**](RestapiApi.md#delfilebytoken) | **POST** /delFileByToken | delFileByToken
[**GetFileByToken**](RestapiApi.md#getfilebytoken) | **POST** /getFileByToken | getFileByToken
[**GetList**](RestapiApi.md#getlist) | **GET** /getList | getList
[**GetgetFileByToken**](RestapiApi.md#getgetfilebytoken) | **GET** /getFileByToken | getFileByToken
[**Ping**](RestapiApi.md#ping) | **GET** /ping | ping
[**TranslateAsynchronous**](RestapiApi.md#translateasynchronous) | **POST** /translateAsynchronous | translateAsynchronous
[**TranslateSynchronous**](RestapiApi.md#translatesynchronous) | **POST** /translateSynchronous | translateSynchronous

<a name="delfilebytoken"></a>
# **DelFileByToken**
> OutFile DelFileByToken (Object body)

delFileByToken

Method exclusively designed to cancel an asynchronous translation request via a unique token (generated in the asynchronous translation request). A request can only be cancelled if it has not started to be processed. The status key indicates the **status** of the translation. Possible values for asynchronous translations are: - 10: Under review - 20: Ready and to be delivered - 30: Delivered - 40: Deleted - 50: Delivery expired - 90: Document entry error - 100: Processing error  The **filename** key indicates the name of the file, the base64 key indicates the content of the file in base64 if the request is in status 30 (delivered) and the wordcount key indicates the number of words in the file translated. If the document has already been deleted, the errorCode field shall contain the value 404. If the document cannot be deleted because the translation has already been started, the errorCode field will contain the value 403. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class DelFileByTokenExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var body = new Object(); // Object | Document information to be deleted

            try
            {
                // delFileByToken
                OutFile result = apiInstance.DelFileByToken(body);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.DelFileByToken: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Document information to be deleted | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="getfilebytoken"></a>
# **GetFileByToken**
> OutFile GetFileByToken (Object body)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The **filename** key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class GetFileByTokenExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var body = new Object(); // Object | Example of a revised file request

            try
            {
                // getFileByToken
                OutFile result = apiInstance.GetFileByToken(body);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.GetFileByToken: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of a revised file request | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="getlist"></a>
# **GetList**
> OutList GetList (int? projectid, string sourcelang, string targetlang, string datecutoff, string options = null)

getList

Request designed to check the status of all requested translation requests, whether synchronous or asynchronous. The results can be filtered using the date of sending the translation order requests, in Zulu format. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class GetListExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var projectid = 56;  // int? | Translation project identifier.
            var sourcelang = sourcelang_example;  // string | Source language code in ISO-639-3 format.
            var targetlang = targetlang_example;  // string | Target language code in ISO-639-3 format.
            var datecutoff = datecutoff_example;  // string | Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time).
            var options = options_example;  // string | JSON auxiliary options. (optional) 

            try
            {
                // getList
                OutList result = apiInstance.GetList(projectid, sourcelang, targetlang, datecutoff, options);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.GetList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **int?**| Translation project identifier. | 
 **sourcelang** | **string**| Source language code in ISO-639-3 format. | 
 **targetlang** | **string**| Target language code in ISO-639-3 format. | 
 **datecutoff** | **string**| Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time). | 
 **options** | **string**| JSON auxiliary options. | [optional] 

### Return type

[**OutList**](OutList.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="getgetfilebytoken"></a>
# **GetgetFileByToken**
> OutFile GetgetFileByToken (int? projectid, string token, string options = null)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). To ensure that the operation of this method is correct in the event of a GET type request, the token must be encoded in URL format. The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The <b>filename</b> key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class GetgetFileByTokenExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var projectid = 56;  // int? | Translation project identifier.
            var token = token_example;  // string | Token resulting from the asynchronous translation request.
            var options = options_example;  // string | JSON auxiliary options. (optional) 

            try
            {
                // getFileByToken
                OutFile result = apiInstance.GetgetFileByToken(projectid, token, options);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.GetgetFileByToken: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **int?**| Translation project identifier. | 
 **token** | **string**| Token resulting from the asynchronous translation request. | 
 **options** | **string**| JSON auxiliary options. | [optional] 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="ping"></a>
# **Ping**
> InlineResponse200 Ping ()

ping

Checking that the service is working properly. This method does NOT REQUIRE AUTHENTICATION. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class PingExample
    {
        public void main()
        {
            var apiInstance = new RestapiApi();

            try
            {
                // ping
                InlineResponse200 result = apiInstance.Ping();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.Ping: " + e.Message );
            }
        }
    }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="translateasynchronous"></a>
# **TranslateAsynchronous**
> OutToken TranslateAsynchronous (Object body)

translateAsynchronous

An asynchronous translation request is generated, i.e. a review of a translation completed by a professional from the ATLS Global S.L. LSP division. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class TranslateAsynchronousExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var body = new Object(); // Object | Example of a revised translation

            try
            {
                // translateAsynchronous
                OutToken result = apiInstance.TranslateAsynchronous(body);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.TranslateAsynchronous: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of a revised translation | 

### Return type

[**OutToken**](OutToken.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="translatesynchronous"></a>
# **TranslateSynchronous**
> OutFile TranslateSynchronous (Object body)

translateSynchronous

Synchronous (non-human automatic translation) translation order request. After the request, the service returns the file translated into the specified target language. 

### Example
```csharp
using System;
using System.Diagnostics;
using ATLS.Api.Api;
using ATLS.Api.Client;
using ATLS.Api.Model;

namespace Example
{
    public class TranslateSynchronousExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-ATRTS-API-Key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-ATRTS-API-Key", "Bearer");
            // Configure HTTP basic authorization: BasicAuth
            Configuration.Default.Username = "YOUR_USERNAME";
            Configuration.Default.Password = "YOUR_PASSWORD";

            var apiInstance = new RestapiApi();
            var body = new Object(); // Object | Example of synchronous machine translation

            try
            {
                // translateSynchronous
                OutFile result = apiInstance.TranslateSynchronous(body);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RestapiApi.TranslateSynchronous: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of synchronous machine translation | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
