/* 
 * AT-RTS
 *
 * # AT-RTS (Remote Translation Service) API Documentation Welcome to the AT-RTS API documentation. AT-RTS is a robust web API designed to integrate our advanced translation systems into client systems, enabling full control over the content translation process. ## API Overview AT-RTS, built on a SOAP web service framework, offers REST interoperability starting from version 5.3.0, facilitating seamless integration into diverse environments. ### Key Functionalities   1. **Operating Check**      Verifies the active status of the service.   2. **Synchronous Translation**      Handles requests for immediate, automated (non-human) translation.   3. **Asynchronous Translation**      Processes orders for specialized professional translations on a deferred basis. Each request generates a unique token to identify and track the translation order. This token is essential for subsequent retrieval and proofreading of the translations.   ### Special Features   - **Callback URL**: Asynchronous translation requests can specify a callback URL to activate a notification service once the translation is complete. This allows clients to automate the download process of completed translations.   - **Translation Return Request**: Using the token from an asynchronous request, clients can retrieve the completed translation. If the translation is not yet complete, the system provides current status information.   - **Cancellation Request**: Allows clients to cancel previously submitted asynchronous translation requests using the token, provided the translation process has not yet commenced.   - **List of Requests**: Offers a comprehensive list detailing the status and usage of translation orders. Each entry includes:   - `projectid`: Unique identifier for the AT project.   - `token`: Token associated with the request.   - `sourcelang`: Source language of the text.   - `targetlang`: Target language for the translation.   - `filename`: File name associated with the request.   - `wordcount`: Total word count of the document.   - `status`: Current status of the translation (with codes such as 10: Under Review, 20: Ready, 30: Delivered, etc.).   - `urlcallback`: Optional URL for receiving completed translations.   - `errnotifiersendto`: Optional email address for receiving notifications on translation errors.   - `dateinsert`: Registration date of the translation request.   - `type`: Specifies whether the translation is SYNCHRONOUS or ASYNCHRONOUS.   ### Reliability Guarantees   ATLS Global ensures reliable return of asynchronous translations to client infrastructures. In the event of communication failures, the system is designed to alert clients through a warning email to the specified contact address, enhancing overall service reliability.   For detailed API usage examples and further technical information, refer to the subsequent sections of this documentation.
 *
 * OpenAPI spec version: 5.6.0
 * Contact: tec@at-ls.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using NUnit.Framework;

using ATLS.Api.Client;
using ATLS.Api.Api;
using ATLS.Api.Model;

namespace ATLS.Api.Test
{
    /// <summary>
    ///  Class for testing RestapiApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    [TestFixture]
    public class RestapiApiTests
    {
        private RestapiApi instance;

        /// <summary>
        /// Setup before each unit test
        /// </summary>
        [SetUp]
        public void Init()
        {
            instance = new RestapiApi();
        }

        /// <summary>
        /// Clean up after each unit test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of RestapiApi
        /// </summary>
        [Test]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsInstanceOfType' RestapiApi
            //Assert.IsInstanceOfType(typeof(RestapiApi), instance, "instance is a RestapiApi");
        }

        /// <summary>
        /// Test DelFileByToken
        /// </summary>
        [Test]
        public void DelFileByTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Object body = null;
            //var response = instance.DelFileByToken(body);
            //Assert.IsInstanceOf<OutFile> (response, "response is OutFile");
        }
        /// <summary>
        /// Test GetFileByToken
        /// </summary>
        [Test]
        public void GetFileByTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Object body = null;
            //var response = instance.GetFileByToken(body);
            //Assert.IsInstanceOf<OutFile> (response, "response is OutFile");
        }
        /// <summary>
        /// Test GetList
        /// </summary>
        [Test]
        public void GetListTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? projectid = null;
            //string sourcelang = null;
            //string targetlang = null;
            //string datecutoff = null;
            //string options = null;
            //var response = instance.GetList(projectid, sourcelang, targetlang, datecutoff, options);
            //Assert.IsInstanceOf<OutList> (response, "response is OutList");
        }
        /// <summary>
        /// Test GetgetFileByToken
        /// </summary>
        [Test]
        public void GetgetFileByTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? projectid = null;
            //string token = null;
            //string options = null;
            //var response = instance.GetgetFileByToken(projectid, token, options);
            //Assert.IsInstanceOf<OutFile> (response, "response is OutFile");
        }
        /// <summary>
        /// Test Ping
        /// </summary>
        [Test]
        public void PingTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //var response = instance.Ping();
            //Assert.IsInstanceOf<InlineResponse200> (response, "response is InlineResponse200");
        }
        /// <summary>
        /// Test TranslateAsynchronous
        /// </summary>
        [Test]
        public void TranslateAsynchronousTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Object body = null;
            //var response = instance.TranslateAsynchronous(body);
            //Assert.IsInstanceOf<OutToken> (response, "response is OutToken");
        }
        /// <summary>
        /// Test TranslateSynchronous
        /// </summary>
        [Test]
        public void TranslateSynchronousTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Object body = null;
            //var response = instance.TranslateSynchronous(body);
            //Assert.IsInstanceOf<OutFile> (response, "response is OutFile");
        }
    }

}
